Subject: Re: [apps-discuss] abstract names registry idea from json-home docs

From: "Rushforth, Peter" <[email-masked]>
Date: Tue, 31 Jul 2012 10:59:14 +0000

Hi,

The json-home spec defines a number of names which refer to protocol elements, which have values typed according to other RFCs.  

Recently, I proposed to the XML Core Working group that a number of names be added to the xml: namespace to burn hypermedia into the XML family of vocabularies. 

I suggested that 'tref' which appears to be equivalent to json-home's 'href-template' be added.

In the beginning, there was just html (and http) to decide what these names were going to be.  But now, there are many communities deciding on names.

I was wondering if there would be value in a rel-type registry approach to the (abstract) names for these concepts.  Then vocabulary designers could 're-use' or if necessary re-combine these names as appropriate, and if necessary, feed the name back into the registry via as a hint to other designers.

I'm at IETF 84 if it's worth discussing.

Peter